Loading...
Searching...
No Matches
ranges::unformatted_ostream_iterator< CharT, Traits > Class Template Referencefinal
Iterator

Writes to an ostream object using the unformatted `std::basic_ostream::write` operation. This means that `32` will be encoded as `100000` as opposed to the string "32". More...

`#include <range/v3/iterator/stream_iterators.hpp>`

## Public Types

using | char_type = CharT
using | difference_type = std::ptrdiff_t
using | iterator_category = std::output_iterator_tag
using | ostream_type = std::basic_ostream< CharT, Traits >
using | traits_type = Traits

## Public Member Functions

unformatted_ostream_iterator & | operator* () noexcept
unformatted_ostream_iterator & | operator++ () noexcept
unformatted_ostream_iterator & | operator++ (int) noexcept
template<typename T >
unformatted_ostream_iterator & | operator= (T const &t)
| unformatted_ostream_iterator (ostream_type &out) noexcept

## Detailed Description

template<typename CharT = char, typename Traits = std::char_traits<CharT>>
class ranges::unformatted_ostream_iterator< CharT, Traits >

Writes to an ostream object using the unformatted `std::basic_ostream::write` operation. This means that `32` will be encoded as `100000` as opposed to the string "32".